POST /accounts/{id}/webhook-subscription

Subscribe the account to Meta webhooks (Instagram: INSTAGRAM_WEBHOOK_FIELDS, default comments and the messaging fields; Facebook Page: FACEBOOK_WEBHOOK_FIELDS, default feed and the Messenger fields) so comment.received and message.* can be delivered. Messaging fields are left out when the account has not granted the messaging permission

POST
/accounts/{id}/webhook-subscription

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

Response Body

{accountId, platform, subscribed}

application/json
  1. response
accountId?string
platform?string
subscribed?array<string>
Example Request
curl -X POST 'https://example.com/api/v1/accounts/string/webhook-subscription'
Example Response
{  "accountId": "string",  "platform": "string",  "subscribed": [    "string"  ]}